Skip to main content
POST
/
api
/
v1
/
tags
Create a new tag
curl --request POST \
  --url https://api.devhelm.io/api/v1/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "color": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": 123,
    "name": "<string>",
    "color": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Body

application/json

Request body for creating a tag

name
string
required

Tag name, unique within the org

Maximum string length: 100
color
string | null

Hex color code (defaults to #6B7280 if omitted)

Pattern: ^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$

Response

201 - */*

Created

data
object

Tag for organizing and filtering monitors